## DAViCalSession

Description

A class for creating and holding session information.

Located in /inc/DAViCalSession.php (line 46)

    Session
       |
       --DAViCalSession

Method Summary
DAViCalSession __construct ([string $sid = ''])
void AssignSessionDetails (object $u)
void GetRoles ()
boolean LoginRequired ([string $roles = ''])
Methods
Constructor __construct (line 57)

Create a new DAViCalSession object.

We create a Session and extend it with some additional useful RSCDS related information.

DAViCalSession __construct ([string $sid = ''])

- string $sid: A session identifier.

AssignSessionDetails (line 66)

Internal function used to assign the session details to a user's new session.

void AssignSessionDetails (object $u)

- object $u: The user+session object we (probably) read from the database.

GetRoles (line 78)

Method used to get the user's roles

void GetRoles ()
LoginRequired (line 99)

Checks that this user is logged in, and presents a login screen if they aren't.

The function can optionally confirm whether they are a member of one of a list of roles, and deny access if they are not a member of any of them.

- return: Whether or not the user is logged in and is a member of one of the required roles.

boolean LoginRequired ([string $roles = ''])

- string $roles: The list of roles that the user must be a member of one of to be allowed to proceed.

Documentation generated on Thu, 25 Feb 2010 11:39:19 +1300 by phpDocumentor 1.3.2